/// BulletML Υѡĥ꡼ by tinyxml
/**
 * tinyxmlˤBulletMLΥѡ
 */

#ifndef BULLETMLPARSER_TINYXML_H_
#define BULLETMLPARSER_TINYXML_H_

#include "bulletmltree.h"

#include <string>

#include "tinyxml/tinyxml.h"

class EnemyCommand;

class BulletMLParserTinyXML : public BulletMLParser {
public:
    BulletMLParserTinyXML(const std::string& filename);
    virtual ~BulletMLParserTinyXML();

    virtual void parse();
    virtual void parse(FILE* fp);

private:
	void parseImpl(TiXmlDocument& doc);

protected:
    void getTree(TiXmlNode* node);
    void translateNode(TiXmlNode* node);

private:
    std::string xmlFile_;
    BulletMLNode* curNode_;
};

#endif // ! BULLETMLPARSER_TINYXML_H_
