#ifndef BOHA_CHARCOLOR
#define BOHA_CHARCOLOR

#include "util.h"

/// פǤǤȹ
typedef enum {WHITE = 0, BLACK} CharColor_;

class CharColor {
public:
	CharColor(CharColor_ col) : col_(col) {}
	operator CharColor_() { return col_; }

	bool operator == (CharColor rhs) { return col_ == rhs.col_; }
	bool operator != (CharColor rhs) { return col_ != rhs.col_; }
	bool operator == (CharColor_ rhs) { return col_ == rhs; }
	bool operator != (CharColor_ rhs) { return col_ != rhs; }

public:
	CharColor reverse() const {
		if (col_ == WHITE) return BLACK;
		else return WHITE;
	}
	Color color() const {
		if (col_ == WHITE) return Color::WHITE;
		else return Color::BLACK;
	}

private:
	CharColor_ col_;
};

#endif // ! BOHA_CHARCOLOR
