#ifndef BOHA_INFO
#define BOHA_INFO

#include <singleton.h>

#include <string>
#include <vector>

#include "charcolor.h"

class Window;

class Info : public Singleton<Info> {
public:
	explicit Info(Window* win);

	void init();

	void noticeEat(int eat, CharColor col);
	void noticeBuzz(int buzz, CharColor col);
	void noticeChangeEat(int eat, CharColor col);
	void noticeChangeBuzz(int buzz, CharColor col);

private:
	void drawFormat();

private:
	Window* win_;

        int blink_white_buzz;
        int blink_white_eat;
        int blink_black_buzz;
        int blink_black_eat;
};

#endif // ! BOHA_INFO

