#ifndef BOHA_SHOT
#define BOHA_SHOT

#include "char.h"

class BMPWindow;
class Player;
class Enemy;
class Shot;

class Shot : public Charactor, public Buzzable {
public:
    Shot (const Point& pnt, const Point& spd, Window* graph, CharColor col);

    virtual void hit (Charactor* bc) { bc->hitByShot(this); }
    virtual void hitByPlayer (Player* bc);
    virtual void hitByEnemy (Enemy* bc);
    virtual void hitByShot (Shot* bc);

    bool isLeft() const { return spd_.x < 0; }

};

#endif // ! BOHA_SHOT

