#ifndef BOHA_SPRITE
#define BOHA_SPRITE

class Point;
class BMPWindow;
class Window;

#include <SDL.h>

#include "win.h"

#include <map>

#include <memory>

/// ץ饤Ȥκ
class Sprite {
public:
	Sprite(Window* bmp);

	const Point& size() const;
	double halfDiagonal() const { return bmp_->halfDiagonal(); }
	const Point& halfSize() const { return bmp_->halfSize(); }

	void setAlphaFlag(Uint32 flag) { alphaFlag_ = flag; }

	void draw(Window* win, const Point& pnt, Uint8 alpha =SDL_ALPHA_OPAQUE);

public:
	void setBlink(bool blink) { blink_ = blink; }

private:
	Window* bmp_;
	Uint32 alphaFlag_;

private:
	bool blink_;

};

#endif // ! BOHA_SPRITE
