#ifndef BOHA_BUZZEFFECT
#define BOHA_BUZZEFFECT

#include "config.h"
#include "char.h"

class Player;

class BuzzEffect : public Charactor {
public:
	BuzzEffect(Player* player, const Point& pnt, CharColor col);

	virtual void move();
	virtual const Point& size() const { return size_; }

private:
	Player* player_;
	Uint32 endTicks_;

	bool firstTurn_;

	static const Point size_;

};

#endif // ! BOHA_BUZZEFFECT

